Package org.apache.catalina.realm

## Class JNDIRealm.User

- java.lang.Object
- - org.apache.catalina.realm.JNDIRealm.User

- Enclosing class:
    JNDIRealm

      protected static class JNDIRealm.User
      extends java.lang.Object

  A protected class representing a User

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `User​(java.lang.String username, java.lang.String dn, java.lang.String password, java.util.List<java.lang.String> roles, java.lang.String userRoleId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDN()` |
    `java.lang.String` | `getPassword()` |
    `java.util.List<java.lang.String>` | `getRoles()` |
    `java.lang.String` | `getUserName()` |
    `java.lang.String` | `getUserRoleId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User​(java.lang.String username,
                      java.lang.String dn,
                      java.lang.String password,
                      java.util.List<java.lang.String> roles,
                      java.lang.String userRoleId)

  - ### Method Detail

    - #### getUserName

          public java.lang.String getUserName()

    - #### getDN

          public java.lang.String getDN()

    - #### getPassword

          public java.lang.String getPassword()

    - #### getRoles

          public java.util.List<java.lang.String> getRoles()

    - #### getUserRoleId

          public java.lang.String getUserRoleId()